"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
class Logger {
    constructor(event, context) {
        this.loggingContext = {
            reqId: context.awsRequestId,
        };
    }
    log(level, msg, metadata) {
        const log = JSON.stringify({
            level,
            text: msg,
            context: this.loggingContext,
            metadata,
        }, null, 2);
        console.log(log);
    }
    debug(msg, metadata) {
        this.log('debug', msg, metadata);
    }
    info(msg, metadata) {
        this.log('info', msg, metadata);
    }
    error(msg, error) {
        const errorMetadata = {
            message: error.message,
            name: error.name,
            stack: error.stack,
        };
        this.log('error', msg, errorMetadata);
    }
    getLoggingContext() {
        return this.loggingContext;
    }
    setLoggingContext(obj) {
        this.loggingContext = Object.assign(Object.assign({}, this.loggingContext), obj);
    }
}
exports.Logger = Logger;
