"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.purgeDlqHandler = void 0;
const SQS = __importStar(require("@aws-sdk/client-sqs"));
const Logger_1 = require("../lib/Logger");
// Lambda function template to purge DLQ
const purgeDlqHandler = (event, context) => __awaiter(void 0, void 0, void 0, function* () {
    const dlqUrl = process.env.DLQ_URL;
    const region = process.env.AWS_REGION;
    const logger = new Logger_1.Logger(event, context);
    logger.setLoggingContext({ dlqUrl });
    try {
        const sqs = new SQS.SQSClient({
            region,
        });
        const response = yield sqs.send(new SQS.PurgeQueueCommand({
            QueueUrl: dlqUrl,
        }));
        logger.info('Purged DLQ', { response });
        return {
            success: true,
            error: null,
        };
    }
    catch (error) {
        logger.warn('Error purging DLQ', { error });
        return {
            success: false,
        };
    }
});
exports.purgeDlqHandler = purgeDlqHandler;
module.exports = {
    purgeDlqHandler: exports.purgeDlqHandler,
};
